Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface TaskEventMetadataDocument.TaskEventMetadata

All Superinterfaces:
  XmlObject, XmlTokenSource

Enclosing interface:
  TaskEventMetadataDocument

    public static interface TaskEventMetadataDocument.TaskEventMetadata

extends XmlObject

An XML TaskEventMetadata(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `TaskEventMetadataDocument.TaskEventMetadata.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`String` | `getClaimant()` Gets the "claimant" element
`String` | `getCurrentStepName()` Gets the "currentStepName" element
`String` | `getEventType()` Gets the "eventType" element
`String` | `getTaskId()` Gets the "taskId" element
`String` | `getTaskPlanId()` Gets the "taskPlanId" element
`Calendar` | `getTimestamp()` Gets the "timestamp" element
`void` | `setClaimant(String claimant)` Sets the "claimant" element
`void` | `setCurrentStepName(String currentStepName)` Sets the "currentStepName" element
`void` | `setEventType(String eventType)` Sets the "eventType" element
`void` | `setTaskId(String taskId)` Sets the "taskId" element
`void` | `setTaskPlanId(String taskPlanId)` Sets the "taskPlanId" element
`void` | `setTimestamp(Calendar timestamp)` Sets the "timestamp" element
`XmlString` | `xgetClaimant()` Gets (as xml) the "claimant" element
`XmlString` | `xgetCurrentStepName()` Gets (as xml) the "currentStepName" element
`XmlString` | `xgetEventType()` Gets (as xml) the "eventType" element
`XmlString` | `xgetTaskId()` Gets (as xml) the "taskId" element
`XmlString` | `xgetTaskPlanId()` Gets (as xml) the "taskPlanId" element
`XmlDateTime` | `xgetTimestamp()` Gets (as xml) the "timestamp" element
`void` | `xsetClaimant(XmlString claimant)` Sets (as xml) the "claimant" element
`void` | `xsetCurrentStepName(XmlString currentStepName)` Sets (as xml) the "currentStepName" element
`void` | `xsetEventType(XmlString eventType)` Sets (as xml) the "eventType" element
`void` | `xsetTaskId(XmlString taskId)` Sets (as xml) the "taskId" element
`void` | `xsetTaskPlanId(XmlString taskPlanId)` Sets (as xml) the "taskPlanId" element
`void` | `xsetTimestamp(XmlDateTime timestamp)` Sets (as xml) the "timestamp" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getTaskPlanId

    String getTaskPlanId()

  Gets the "taskPlanId" element

### xgetTaskPlanId

    XmlString xgetTaskPlanId()

  Gets (as xml) the "taskPlanId" element

### setTaskPlanId

    void setTaskPlanId(String taskPlanId)

  Sets the "taskPlanId" element

### xsetTaskPlanId

    void xsetTaskPlanId(XmlString taskPlanId)

  Sets (as xml) the "taskPlanId" element

### getTaskId

    String getTaskId()

  Gets the "taskId" element

### xgetTaskId

    XmlString xgetTaskId()

  Gets (as xml) the "taskId" element

### setTaskId

    void setTaskId(String taskId)

  Sets the "taskId" element

### xsetTaskId

    void xsetTaskId(XmlString taskId)

  Sets (as xml) the "taskId" element

### getEventType

    String getEventType()

  Gets the "eventType" element

### xgetEventType

    XmlString xgetEventType()

  Gets (as xml) the "eventType" element

### setEventType

    void setEventType(String eventType)

  Sets the "eventType" element

### xsetEventType

    void xsetEventType(XmlString eventType)

  Sets (as xml) the "eventType" element

### getTimestamp

    Calendar getTimestamp()

  Gets the "timestamp" element

### xgetTimestamp

    XmlDateTime xgetTimestamp()

  Gets (as xml) the "timestamp" element

### setTimestamp

    void setTimestamp(Calendar timestamp)

  Sets the "timestamp" element

### xsetTimestamp

    void xsetTimestamp(XmlDateTime timestamp)

  Sets (as xml) the "timestamp" element

### getCurrentStepName

    String getCurrentStepName()

  Gets the "currentStepName" element

### xgetCurrentStepName

    XmlString xgetCurrentStepName()

  Gets (as xml) the "currentStepName" element

### setCurrentStepName

    void setCurrentStepName(String currentStepName)

  Sets the "currentStepName" element

### xsetCurrentStepName

    void xsetCurrentStepName(XmlString currentStepName)

  Sets (as xml) the "currentStepName" element

### getClaimant

    String getClaimant()

  Gets the "claimant" element

### xgetClaimant

    XmlString xgetClaimant()

  Gets (as xml) the "claimant" element

### setClaimant

    void setClaimant(String claimant)

  Sets the "claimant" element

### xsetClaimant

    void xsetClaimant(XmlString claimant)

  Sets (as xml) the "claimant" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD